package demo;

import javax.swing.*;
import com.japisoft.sc.*;

/** Here an applet demonstration usage with JSyntaxColor */
public class AppletDemo extends JApplet {

	public AppletDemo() {
		super();
		initUI();
	}

    private ScEditorKit kit = null;

	private void initUI() {
	    JEditorPane ep;
	    getContentPane().add( new JScrollPane( ep = new JEditorPane() ) );
	    ep.setEditorKit( kit = new ScEditorKit() );
	    try {
		kit.readSyntaxColorDescriptor( getClass().getResource( "java.prop" ) );
	    } catch( Throwable th ) {
		JOptionPane.showMessageDialog( this, "Can't load java.prop : " + th.getMessage() );
	    }
		     }

}













